Cyberduck Mountain Duck CLI

#4480 closed enhancement (fixed)

Connect to Amazon S3 External Bucket

Reported by: lftempmail@… Owned by: dkocher
Priority: normal Milestone: 3.6
Component: s3 Version: 3.4.2
Severity: normal Keywords:
Cc: djn@… Architecture: Intel
Platform: Mac OS X 10.6

Description

Is there a way to access an external bucket using Cyberduck? I can access my S3 buckets, but don't see a way to view an external bucket I have permission to access. Is this feature available? Thanks

Change History (9)

comment:1 Changed on May 19, 2010 at 4:42:31 PM by dkocher

  • Component changed from core to s3
  • Milestone set to 3.5
  • Status changed from new to assigned

This should work by choosing Anonymous Login and set the hostname to mypublicbucket.s3.amazonaws.com. However, this feature is currently broken.

comment:2 Changed on May 19, 2010 at 4:45:32 PM by dkocher

  • Summary changed from Can Cyberduck connect to Amazon S3 External Bucket to Connect to Amazon S3 External Bucket

comment:3 Changed on May 19, 2010 at 5:43:34 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r5965.

comment:4 Changed on May 19, 2010 at 5:45:01 PM by dkocher

There is a also an option to connect using plaintext HTTP in the latest nightly build.

comment:5 Changed on May 30, 2010 at 12:53:41 AM by dkocher

New resolution in r6008.

comment:6 Changed on Jul 8, 2010 at 5:13:50 PM by dneades

  • Architecture set to Intel

This fix doesn’t address accessing non-public external buckets, which I can't seem to get to work in 3.5.1. (I'd raise a new ticket, but I don't seem to have the trac TICKET_CREATE privileges required to do that.)

comment:8 Changed on Jul 9, 2010 at 4:38:52 PM by dkocher

  • Milestone changed from 3.5 to 3.6
  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:9 Changed on Jul 13, 2010 at 2:29:47 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

In r6294. You can now access buckets owned by someone else if the ACL allows you to access it. Specify the bucket you want to access in the hostname to connect to like <bucketname>.s3.amazonaws.com.

Note: See TracTickets for help on using tickets.
swiss made software